Ubuntu14 安装php Swoole扩展

1.安装扩展前的准备工作:

  • 1.1 安装php,版本必须大于5.3.10

sudo apt-get install php5.6  扩展根据使用情况安装

  • 1.2 安装gcc,ubuntu自带,一般不需要安装

sudo apt-get  build-dep gcc

  • 1.3 安装 autoconf

sudo apt-get autoconf

  • 1.4 安装git

sudo apt-get git

  • 1.5 安装pcre

sudo apt-get install libpcre3 libpcre3-dev

2.下载Swoole扩展源码编译

  • 2.1 创建目录下载源码

mkdir swoole

cd swoole

sudo git clone -b v1.10.5 https://github.com/swoole/swoole-src.git    #指定分支 1.10.5

  • 2.2 切换到源码目录执行编译

cd swoole-src/  #需要权限

phpize【可能不存在 需要安装sudo apt-get install php5-dev】

./configure

make

sudo make install

  • 2.3 配置php.ini文件

extension=swoole.io

  • 2.4 查看模块是否正常开启

通过phpinfo() 来查看是否成功加载了swoole

发表评论